<html>
  <head>
    <title>ml5 examples index</title>
    <meta charset="UTF-8" >
    <meta name="description" content="ml5 examples index page" >
    <meta name="keywords"
      content="ml5, machine learning, friendly, javascript"
    >
    <meta name="author" content="@ml5js" >
    <meta name="viewport" content="width=device-width, initial-scale=1.0" >
    <link rel="stylesheet" href="assets/style.css"                                                     />
  </head>
  <body>
    <div id="app">
      <h1>ml5 examples</h1>
      <p>Index page for ml5 examples.</p>
      <div id="myLinks" class="container"><div class="category-header"><h2>ml5 examples with p5.js</h2></div><div class="category-header"><h3>BodyPix</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/BodyPix/BodyPix_Image">BodyPix_Image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/BodyPix/BodyPix_Preload">BodyPix_Preload</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/BodyPix/BodyPix_Webcam">BodyPix_Webcam</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/BodyPix/BodyPix_Webcam_Parts">BodyPix_Webcam_Parts</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/BodyPix/BodyPix_p5Instance">BodyPix_p5Instance</a></div><div class="category-header"><h3>CVAE</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/CVAE/CVAE_QuickDraw">CVAE_QuickDraw</a></div><div class="category-header"><h3>CharRNN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/CharRNN/CharRNN_Interactive">CharRNN_Interactive</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/CharRNN/CharRNN_Text">CharRNN_Text</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/CharRNN/CharRNN_Text_Stateful">CharRNN_Text_Stateful</a></div><div class="category-header"><h3>DCGAN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/DCGAN/DCGAN_LatentVector">DCGAN_LatentVector</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/DCGAN/DCGAN_LatentVector_RandomWalk">DCGAN_LatentVector_RandomWalk</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/DCGAN/DCGAN_LatentVector_Slider">DCGAN_LatentVector_Slider</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/DCGAN/DCGAN_Random">DCGAN_Random</a></div><div class="category-header"><h3>FaceApi</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/FaceApi/FaceApi_Image_Landmarks">FaceApi_Image_Landmarks</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/FaceApi/FaceApi_Video_Landmarks">FaceApi_Video_Landmarks</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/FaceApi/FaceApi_Video_Landmarks_LocalModels">FaceApi_Video_Landmarks_LocalModels</a></div><div class="category-header"><h3>FeatureExtractor</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/FeatureExtractor/FeatureExtractor_Image_Classification">FeatureExtractor_Image_Classification</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/FeatureExtractor/FeatureExtractor_Image_Regression">FeatureExtractor_Image_Regression</a></div><div class="category-header"><h3>ImageClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification">ImageClassification</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_DoodleNet_Canvas">ImageClassification_DoodleNet_Canvas</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_DoodleNet_Video">ImageClassification_DoodleNet_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_MultipleImages">ImageClassification_MultipleImages</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_Teachable-Machine">ImageClassification_Teachable-Machine</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_Video">ImageClassification_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_VideoScavengerHunt">ImageClassification_VideoScavengerHunt</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_VideoSound">ImageClassification_VideoSound</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_VideoSoundTranslate">ImageClassification_VideoSoundTranslate</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/ImageClassification/ImageClassification_Video_Load">ImageClassification_Video_Load</a></div><div class="category-header"><h3>KMeans</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/KMeans/KMeans_imageSegmentation">KMeans_imageSegmentation</a></div><div class="category-header"><h3>KNNClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/KNNClassification/KNNClassification_PoseNet">KNNClassification_PoseNet</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/KNNClassification/KNNClassification_Video">KNNClassification_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/KNNClassification/KNNClassification_VideoSound">KNNClassification_VideoSound</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/KNNClassification/KNNClassification_VideoSquare">KNNClassification_VideoSquare</a></div><div class="category-header"><h3>NeuralNetwork</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_Simple-Classification">NeuralNetwork_Simple-Classification</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_Simple-Regression">NeuralNetwork_Simple-Regression</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_XOR">NeuralNetwork_XOR</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_basics">NeuralNetwork_basics</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_co2net">NeuralNetwork_co2net</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_color_classifier">NeuralNetwork_color_classifier</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_load_model">NeuralNetwork_load_model</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_load_saved_data">NeuralNetwork_load_saved_data</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_lowres_pixels">NeuralNetwork_lowres_pixels</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_multiple-layers">NeuralNetwork_multiple-layers</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_musical_face">NeuralNetwork_musical_face</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_musical_mouse">NeuralNetwork_musical_mouse</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_pose_classifier">NeuralNetwork_pose_classifier</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_titanic">NeuralNetwork_titanic</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/NeuralNetwork/NeuralNetwork_xy_classifier">NeuralNetwork_xy_classifier</a></div><div class="category-header"><h3>PitchDetection</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PitchDetection/PitchDetection">PitchDetection</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PitchDetection/PitchDetection_Game">PitchDetection_Game</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PitchDetection/PitchDetection_Piano">PitchDetection_Piano</a></div><div class="category-header"><h3>Pix2Pix</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/Pix2Pix/Pix2Pix_callback">Pix2Pix_callback</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/Pix2Pix/Pix2Pix_promise">Pix2Pix_promise</a></div><div class="category-header"><h3>PoseNet</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PoseNet/PoseNet_image_single">PoseNet_image_single</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PoseNet/PoseNet_part_selection">PoseNet_part_selection</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/PoseNet/PoseNet_webcam">PoseNet_webcam</a></div><div class="category-header"><h3>Sentiment</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/Sentiment/Sentiment_Interactive">Sentiment_Interactive</a></div><div class="category-header"><h3>SketchRNN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/SketchRNN/SketchRNN_basic">SketchRNN_basic</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/SketchRNN/SketchRNN_interactive">SketchRNN_interactive</a></div><div class="category-header"><h3>SoundClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/SoundClassification/SoundClassification_speechcommand">SoundClassification_speechcommand</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/SoundClassification/SoundClassification_speechcommand_load">SoundClassification_speechcommand_load</a></div><div class="category-header"><h3>StyleTransfer</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/StyleTransfer/StyleTransfer_Image">StyleTransfer_Image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/StyleTransfer/StyleTransfer_Video">StyleTransfer_Video</a></div><div class="category-header"><h3>UNET</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/UNET/UNET_webcam">UNET_webcam</a></div><div class="category-header"><h3>Word2Vec</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/Word2Vec/Word2Vec_Interactive">Word2Vec_Interactive</a></div><div class="category-header"><h3>YOLO</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/YOLO/YOLO_single_image">YOLO_single_image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/YOLO/YOLO_webcam">YOLO_webcam</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/p5js/YOLO/YOLO_webcam_offline">YOLO_webcam_offline</a></div><div class="category-header"><h2>ml5 examples with plain javascript</h2></div><div class="category-header"><h3>BodyPix</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/BodyPix/BodyPix_Image">BodyPix_Image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/BodyPix/BodyPix_Webcam">BodyPix_Webcam</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/BodyPix/BodyPix_Webcam_Parts">BodyPix_Webcam_Parts</a></div><div class="category-header"><h3>CVAE</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/CVAE/CVAE_QuickDraw">CVAE_QuickDraw</a></div><div class="category-header"><h3>CharRNN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/CharRNN/CharRNN_Interactive">CharRNN_Interactive</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/CharRNN/CharRNN_Text">CharRNN_Text</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/CharRNN/CharRNN_Text_Stateful">CharRNN_Text_Stateful</a></div><div class="category-header"><h3>DCGAN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/DCGAN/DCGAN_Random">DCGAN_Random</a></div><div class="category-header"><h3>FaceApi</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/FaceApi/FaceApi_Image_Landmarks">FaceApi_Image_Landmarks</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/FaceApi/FaceApi_Video_Landmarks">FaceApi_Video_Landmarks</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/FaceApi/FaceApi_Video_Landmarks_LocalModels">FaceApi_Video_Landmarks_LocalModels</a></div><div class="category-header"><h3>FeatureExtractor</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/FeatureExtractor/FeatureExtractor_Image_Classification">FeatureExtractor_Image_Classification</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/FeatureExtractor/FeatureExtractor_Image_Regression">FeatureExtractor_Image_Regression</a></div><div class="category-header"><h3>ImageClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification">ImageClassification</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_DoodleNet_Canvas">ImageClassification_DoodleNet_Canvas</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_DoodleNet_Video">ImageClassification_DoodleNet_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_MultipleImages">ImageClassification_MultipleImages</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_Video">ImageClassification_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_VideoScavengerHunt">ImageClassification_VideoScavengerHunt</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_VideoSound">ImageClassification_VideoSound</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_VideoSoundTranslate">ImageClassification_VideoSoundTranslate</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/ImageClassification/ImageClassification_Video_Load">ImageClassification_Video_Load</a></div><div class="category-header"><h3>KNNClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/KNNClassification/KNNClassification_PoseNet">KNNClassification_PoseNet</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/KNNClassification/KNNClassification_Video">KNNClassification_Video</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/KNNClassification/KNNClassification_VideoSound">KNNClassification_VideoSound</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/KNNClassification/KNNClassification_VideoSquare">KNNClassification_VideoSquare</a></div><div class="category-header"><h3>PitchDetection</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PitchDetection/PitchDetection">PitchDetection</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PitchDetection/PitchDetection_Game">PitchDetection_Game</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PitchDetection/PitchDetection_Piano">PitchDetection_Piano</a></div><div class="category-header"><h3>Pix2Pix</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/Pix2Pix/Pix2Pix_callback">Pix2Pix_callback</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/Pix2Pix/Pix2Pix_promise">Pix2Pix_promise</a></div><div class="category-header"><h3>PoseNet</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PoseNet/PoseNet_image_single">PoseNet_image_single</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PoseNet/PoseNet_part_selection">PoseNet_part_selection</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/PoseNet/PoseNet_webcam">PoseNet_webcam</a></div><div class="category-header"><h3>Sentiment</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/Sentiment/Sentiment_Interactive">Sentiment_Interactive</a></div><div class="category-header"><h3>SketchRNN</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/SketchRNN/SketchRNN_basic">SketchRNN_basic</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/SketchRNN/SketchRNN_interactive">SketchRNN_interactive</a></div><div class="category-header"><h3>SoundClassification</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/SoundClassification/SoundClassification_speechcommand">SoundClassification_speechcommand</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/SoundClassification/SoundClassification_speechcommand_load">SoundClassification_speechcommand_load</a></div><div class="category-header"><h3>StyleTransfer</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/StyleTransfer/StyleTransfer_Image">StyleTransfer_Image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/StyleTransfer/StyleTransfer_Video">StyleTransfer_Video</a></div><div class="category-header"><h3>UNET</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/UNET/UNET_webcam">UNET_webcam</a></div><div class="category-header"><h3>Word2Vec</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/Word2Vec/Word2Vec_Interactive">Word2Vec_Interactive</a></div><div class="category-header"><h3>YOLO</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/YOLO/YOLO_single_image">YOLO_single_image</a></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/javascript/YOLO/YOLO_webcam">YOLO_webcam</a></div><div class="category-header"><h2>ml5 examples with d3</h2></div><div class="category-header"><h3>KMeans</h3></div><div class="item"> <a target="_blank" href="https://ml5js.github.io/ml5-examples/d3/KMeans/KMeans_GaussianClusterDemo">KMeans_GaussianClusterDemo</a></div></div>
    </div>
  </body>
</html>